hcwiid-0.0.1: Library to interface with the wiimote

Safe Haskell | None

System.CWiid

# Documentation

cwiidOpen :: IO (Maybe CWiidWiimote)Source

cwiidSetLed :: CWiidWiimote -> IO CInt Source

cwiidSetRptMode :: CWiidWiimote -> IO CInt Source

cwiidGetBtnState :: CWiidWiimote -> IO CWiidBtnFlag Source

cwiidLed1 :: CWiidLedFlagSource

cwiidLed2 :: CWiidLedFlagSource

cwiidLed3 :: CWiidLedFlagSource

cwiidLed4 :: CWiidLedFlagSource

combineCwiidLedFlag :: [CWiidLedFlag] -> CWiidLedFlagSource

cwiidBtn2 :: CWiidBtnFlag Source

cwiidBtn1 :: CWiidBtnFlag Source

cwiidBtnB :: CWiidBtnFlag Source

cwiidBtnA :: CWiidBtnFlag Source

cwiidBtnMinus :: CWiidBtnFlag Source

cwiidBtnHome :: CWiidBtnFlag Source

cwiidBtnLeft :: CWiidBtnFlag Source

cwiidBtnRight :: CWiidBtnFlag Source

cwiidBtnDown :: CWiidBtnFlag Source

cwiidBtnUp :: CWiidBtnFlag Source

cwiidBtnPlus :: CWiidBtnFlag Source

combineCwiidBtnFlag :: [CWiidBtnFlag] -> CWiidBtnFlag Source

diffCwiidBtnFlag :: CWiidBtnFlag -> CWiidBtnFlag -> CWiidBtnFlag Source

newtype CWiidBtnFlag Source

Constructors

CWiidBtnFlag |

Fields

unCWiidBtnFlag :: Int

Instances

Eq CWiidBtnFlag |
Show CWiidBtnFlag |

data CWiidState Source

Constructors

CWiidState |

Fields

rptMode :: Int
led :: Int
rumble :: Int
battery :: Int
buttons :: Int

Instances

Show CWiidState |
Storable CWiidState |

data CWiidWiimote Source